org.eclipse.jetty.plus.servlet

## Class ServletHandler

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.util.component.AggregateLifeCycle
    - - org.eclipse.jetty.server.handler.AbstractHandler
      - - org.eclipse.jetty.server.handler.AbstractHandlerContainer
        - - org.eclipse.jetty.server.handler.HandlerWrapper
          - - org.eclipse.jetty.server.handler.ScopedHandler
            - - org.eclipse.jetty.servlet.ServletHandler
              - - org.eclipse.jetty.plus.servlet.ServletHandler

All Implemented Interfaces:
  Handler, HandlerContainer, Destroyable, Dumpable, LifeCycle

    public class ServletHandler
    extends ServletHandler

ServletHandler

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`AbstractLifeCycle.AbstractLifeCycleListener`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

`LifeCycle.Listener`

### Field Summary

### Fields inherited from class org.eclipse.jetty.servlet.ServletHandler

`__DEFAULT_SERVLET, _chainCache, _chainLRU`

### Fields inherited from class org.eclipse.jetty.server.handler.ScopedHandler

`_nextScope, _outerScope`

### Fields inherited from class org.eclipse.jetty.server.handler.HandlerWrapper

`_handler`

### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

### Constructor Summary

Constructors
Constructor and Description
`ServletHandler()`

### Method Summary

Methods
`LifeCycleCallbackCollection` `getCallbacks()`
`InjectionCollection` `getInjections()`
`void` `setCallbacks(LifeCycleCallbackCollection callbacks)`
`void` `setInjections(InjectionCollection injections)`

### Methods inherited from class org.eclipse.jetty.servlet.ServletHandler

`addFilter, addFilter, addFilter, addFilterMapping, addFilterWithMapping, addFilterWithMapping, addFilterWithMapping, addFilterWithMapping, addFilterWithMapping, addFilterWithMapping, addServlet, addServletMapping, addServletWithMapping, addServletWithMapping, addServletWithMapping, doHandle, doScope, doStart, doStop, dump, getContextLog, getFilter, getFilterMappings, getFilters, getHolderEntry, getMaxFilterChainsCacheSize, getServlet, getServletContext, getServletMapping, getServletMappings, getServlets, initialize, isAvailable, isFilterChainsCached, isStartWithUnavailable, newFilterHolder, newFilterHolder, newServletHolder, newServletHolder, notFound, prependFilterMapping, setFilterChainsCached, setFilterMappings, setFilters, setMaxFilterChainsCacheSize, setServer, setServletMappings, setServlets, setStartWithUnavailable, updateMappings, updateNameMappings`

### Methods inherited from class org.eclipse.jetty.server.handler.ScopedHandler

`handle, never, nextHandle, nextScope`

### Methods inherited from class org.eclipse.jetty.server.handler.HandlerWrapper

`destroy, expandChildren, getHandler, getHandlers, getNestedHandlerByClass, setHandler`

### Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandlerContainer

`expandHandler, findContainerOf, getChildHandlerByClass, getChildHandlers, getChildHandlersByClass`

### Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandler

`dumpThis, getServer`

### Methods inherited from class org.eclipse.jetty.util.component.AggregateLifeCycle

`addBean, addBean, contains, dump, dump, dump, dump, dumpObject, dumpStdErr, getBean, getBeans, getBeans, isManaged, manage, removeBean, removeBeans, unmanage`

### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`addLifeCycleListener, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle

`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Constructor Detail

#### ServletHandler

    public ServletHandler()

### Method Detail

#### getCallbacks

    public LifeCycleCallbackCollection getCallbacks()

Returns:
  the callbacks

#### setCallbacks

    public void setCallbacks(LifeCycleCallbackCollection callbacks)

Parameters:
  `callbacks` - the callbacks to set

#### getInjections

    public InjectionCollection getInjections()

Returns:
  the injections

#### setInjections

    public void setInjections(InjectionCollection injections)

Parameters:
  `injections` - the injections to set